Debian Bug report logs - #142930
Feature Request w/ patch: Xinerama support for WDM Debian package

version graph

Package: wdm; Maintainer for wdm is Debian QA Group <packages@qa.debian.org>; Source for wdm is src:wdm.

Reported by: Will Andrews <will@csociety.org>

Date: Mon, 15 Apr 2002 01:33:04 UTC

Severity: normal

Tags: patch

Found in version 1.20-15

Fixed in version wdm/1.20-16

Done: Noah Meyerhans <noahm@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, epg@debian.org, staikos@kde.org, Noah Meyerhans <frodo@morgul.net>, wdm@packages.qa.debian.org:
Bug#142930; Package wdm. Full text and rfc822 format available.

Acknowledgement sent to Will Andrews <will@csociety.org>:
New Bug report received and forwarded. Copy sent to epg@debian.org, staikos@kde.org, Noah Meyerhans <frodo@morgul.net>, wdm@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Will Andrews <will@csociety.org>
To: submit@bugs.debian.org
Subject: Feature Request w/ patch: Xinerama support for WDM Debian package
Date: Sun, 14 Apr 2002 20:27:48 -0500
Package: wdm
Version: 1.20-15
Tags: patch

I worked out this patch for WDM for the FreeBSD port with the
help of George Staikos <staikos@kde.org> [ please see
http://cvsweb.FreeBSD.org/ports/x11/wdm/files/patch-Login.c and
http://cvsweb.FreeBSD.org/ports/x11/wdm/Makefile ].  Since I also
have access to Debian machines which use WDM and which are
dual-head, I thought I'd write up something for Debian as well.
With the help of Eric Gillespie <epg@debian.org>, who wrote the
configure changes enclosed in this patch, I successfully set up a
Debian unstable machine to use a WDM that was Xinerama aware with
this patch.  No special configuration is required.. a nice thing
would be to add support to wdm-config to let the sysadmin pick
the physical display to center the login frame on, but for now,
this patch simply picks physical display #0.

Since the upstream has not released a new version of WDM in two
years and has not replied to mail in recent time, I believe this
patch should simply be applied against the package.

Here's the patch:

-----8<-----8<-----8<-----8<-----8<-----8<-----8<-----8<-----8<-----8<-----
diff -Naur wdm-1.20.deb/Makefile.in wdm-1.20/Makefile.in
--- wdm-1.20.deb/Makefile.in	Mon Apr  8 21:49:20 2002
+++ wdm-1.20/Makefile.in	Mon Apr  8 22:19:03 2002
@@ -1,4 +1,4 @@
-# Makefile.in generated automatically by automake 1.4 from Makefile.am
+# Makefile.in generated automatically by automake 1.4-p4 from Makefile.am
 
 # Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
 # This Makefile.in is free software; the Free Software Foundation
@@ -58,8 +58,6 @@
 PRE_UNINSTALL = :
 POST_UNINSTALL = :
 AFTERSTEP_PATH = @AFTERSTEP_PATH@
-AMTAR = @AMTAR@
-AMTARFLAGS = @AMTARFLAGS@
 BLACKBOX_PATH = @BLACKBOX_PATH@
 CC = @CC@
 DEF_SERVER = @DEF_SERVER@
@@ -73,6 +71,7 @@
 LIBSOCKET = @LIBSOCKET@
 LIBUCB = @LIBUCB@
 LIBUTIL = @LIBUTIL@
+LIBXINERAMA = @LIBXINERAMA@
 LIB_LIBS = @LIB_LIBS@
 LOGDIR = @LOGDIR@
 MAKEINFO = @MAKEINFO@
@@ -139,7 +138,7 @@
 $(ACLOCAL_M4):  configure.in 
 	cd $(srcdir) && $(ACLOCAL)
 
-config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
+config.status: $(srcdir)/configure.in $(CONFIG_STATUS_DEPENDENCIES)
 	$(SHELL) ./config.status --recheck
 $(srcdir)/configure: $(srcdir)/configure.in $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
 	cd $(srcdir) && $(AUTOCONF)
diff -Naur wdm-1.20.deb/acconfig.h wdm-1.20/acconfig.h
--- wdm-1.20.deb/acconfig.h	Mon Apr  8 21:49:20 2002
+++ wdm-1.20/acconfig.h	Mon Apr  8 22:03:34 2002
@@ -30,3 +30,5 @@
 #undef DEF_SERVER_LINE
 
 #undef DEF_SESSION
+
+#undef HAVE_XINERAMA
diff -Naur wdm-1.20.deb/aclocal.m4 wdm-1.20/aclocal.m4
--- wdm-1.20.deb/aclocal.m4	Mon Apr  8 21:49:20 2002
+++ wdm-1.20/aclocal.m4	Mon Apr  8 22:19:03 2002
@@ -1,4 +1,4 @@
-dnl aclocal.m4 generated automatically by aclocal 1.4a
+dnl aclocal.m4 generated automatically by aclocal 1.4-p4
 
 dnl Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
 dnl This file is free software; the Free Software Foundation
@@ -21,8 +21,6 @@
 
 AC_DEFUN(AM_INIT_AUTOMAKE,
 [AC_REQUIRE([AC_PROG_INSTALL])
-dnl We require 2.13 because we rely on SHELL being computed by configure.
-AC_PREREQ([2.13])
 PACKAGE=[$1]
 AC_SUBST(PACKAGE)
 VERSION=[$2]
@@ -43,19 +41,6 @@
 AM_MISSING_PROG(AUTOMAKE, automake, $missing_dir)
 AM_MISSING_PROG(AUTOHEADER, autoheader, $missing_dir)
 AM_MISSING_PROG(MAKEINFO, makeinfo, $missing_dir)
-dnl We check for tar when the user configures the end package.
-dnl This is sad, since we only need this for "dist".  However,
-dnl there's no other good way to do it.  We prefer GNU tar if
-dnl we can find it.  If we can't find a tar, it doesn't really matter.
-AC_CHECK_PROGS(AMTAR, gnutar gtar tar)
-AMTARFLAGS=
-if test -n "$AMTAR"; then
-  if $SHELL -c "$AMTAR --version" > /dev/null 2>&1; then
-    dnl We have GNU tar.
-    AMTARFLAGS=o
-  fi
-fi
-AC_SUBST(AMTARFLAGS)
 AC_REQUIRE([AC_PROG_MAKE_SET])])
 
 #
diff -Naur wdm-1.20.deb/config.h.in wdm-1.20/config.h.in
--- wdm-1.20.deb/config.h.in	Mon Apr  8 21:49:20 2002
+++ wdm-1.20/config.h.in	Mon Apr  8 22:05:50 2002
@@ -1,4 +1,4 @@
-/* config.h.in.  Generated automatically from configure.in by autoheader.  */
+/* config.h.in.  Generated automatically from configure.in by autoheader 2.13.  */
 
 /* Define to empty if the keyword does not work.  */
 #undef const
@@ -47,6 +47,8 @@
 #undef DEF_SERVER_LINE
 
 #undef DEF_SESSION
+
+#undef HAVE_XINERAMA
 
 /* Define if you have the <WINGs.h> header file.  */
 #undef HAVE_WINGS_H
diff -Naur wdm-1.20.deb/configure wdm-1.20/configure
--- wdm-1.20.deb/configure	Mon Apr  8 21:49:20 2002
+++ wdm-1.20/configure	Mon Apr  8 22:21:02 2002
@@ -1,7 +1,7 @@
 #! /bin/sh
 
 # Guess values for system-dependent variables and create Makefiles.
-# Generated automatically using autoconf version 2.14.1 
+# Generated automatically using autoconf version 2.13 
 # Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
 #
 # This configure script is free software; the Free Software Foundation
@@ -379,7 +379,7 @@
     verbose=yes ;;
 
   -version | --version | --versio | --versi | --vers)
-    echo "configure generated by autoconf version 2.14.1"
+    echo "configure generated by autoconf version 2.13"
     exit 0 ;;
 
   -with-* | --with-*)
@@ -539,7 +539,7 @@
 
 if test -r "$cache_file"; then
   echo "loading cache $cache_file"
-      test -f "$cache_file" && . $cache_file
+  . $cache_file
 else
   echo "creating cache $cache_file"
   > $cache_file
@@ -583,9 +583,9 @@
 if test -z "$ac_aux_dir"; then
   { echo "configure: error: can not find install-sh or install.sh in $srcdir $srcdir/.. $srcdir/../.." 1>&2; exit 1; }
 fi
-ac_config_guess="$SHELL $ac_aux_dir/config.guess"
-ac_config_sub="$SHELL $ac_aux_dir/config.sub"
-ac_configure="$SHELL $ac_aux_dir/configure" # This should be Cygnus configure.
+ac_config_guess=$ac_aux_dir/config.guess
+ac_config_sub=$ac_aux_dir/config.sub
+ac_configure=$ac_aux_dir/configure # This should be Cygnus configure.
 
 # Find a good install program.  We prefer a C program (faster),
 # so one script is as good as another.  But avoid the broken or
@@ -601,7 +601,7 @@
 echo $ac_n "checking for a BSD compatible install""... $ac_c" 1>&6
 echo "configure:603: checking for a BSD compatible install" >&5
 if test -z "$INSTALL"; then
-if eval "test \"\${ac_cv_path_install+set}\" = set"; then
+if eval "test \"`echo '$''{'ac_cv_path_install'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
     IFS="${IFS= 	}"; ac_save_IFS="$IFS"; IFS=":"
@@ -619,10 +619,6 @@
             grep dspmsg $ac_dir/$ac_prog >/dev/null 2>&1; then
 	    # AIX install.  It has an incompatible calling convention.
 	    :
-	  elif test $ac_prog = install &&
-	    grep pwplus $ac_dir/$ac_prog >/dev/null 2>&1; then
-	    # program-specific install script used by HP pwplus--don't use.
-	    :
 	  else
 	    ac_cv_path_install="$ac_dir/$ac_prog -c"
 	    break 2
@@ -651,12 +647,12 @@
 # It thinks the first close brace ends the variable substitution.
 test -z "$INSTALL_PROGRAM" && INSTALL_PROGRAM='${INSTALL}'
 
-test -z "$INSTALL_SCRIPT" && INSTALL_SCRIPT='${INSTALL}'
+test -z "$INSTALL_SCRIPT" && INSTALL_SCRIPT='${INSTALL_PROGRAM}'
 
 test -z "$INSTALL_DATA" && INSTALL_DATA='${INSTALL} -m 644'
 
 echo $ac_n "checking whether build environment is sane""... $ac_c" 1>&6
-echo "configure:660: checking whether build environment is sane" >&5
+echo "configure:656: checking whether build environment is sane" >&5
 # Just in case
 sleep 1
 echo timestamp > conftestfile
@@ -704,18 +700,18 @@
   rm -f conftestsed
 fi
 test "$program_prefix" != NONE &&
-  program_transform_name="s,^,${program_prefix},;$program_transform_name"
+  program_transform_name="s,^,${program_prefix},; $program_transform_name"
 # Use a double $ so make ignores it.
 test "$program_suffix" != NONE &&
-  program_transform_name="s,\$\$,${program_suffix},;$program_transform_name"
+  program_transform_name="s,\$\$,${program_suffix},; $program_transform_name"
 
 # sed with no file args requires a program.
 test "$program_transform_name" = "" && program_transform_name="s,x,x,"
 
 echo $ac_n "checking whether ${MAKE-make} sets \${MAKE}""... $ac_c" 1>&6
-echo "configure:717: checking whether ${MAKE-make} sets \${MAKE}" >&5
+echo "configure:713: checking whether ${MAKE-make} sets \${MAKE}" >&5
 set dummy ${MAKE-make}; ac_make=`echo "$2" | sed 'y%./+-%__p_%'`
-if eval "test \"\${ac_cv_prog_make_${ac_make}_set+set}\" = set"; then
+if eval "test \"`echo '$''{'ac_cv_prog_make_${ac_make}_set'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftestmake <<\EOF
@@ -740,7 +736,6 @@
 fi
 
 
-
 PACKAGE=wdm
 
 VERSION=1.20
@@ -760,7 +755,7 @@
 
 missing_dir=`cd $ac_aux_dir && pwd`
 echo $ac_n "checking for working aclocal""... $ac_c" 1>&6
-echo "configure:764: checking for working aclocal" >&5
+echo "configure:759: checking for working aclocal" >&5
 # Run test in a subshell; some versions of sh will print an error if
 # an executable is not found, even if stderr is redirected.
 # Redirect stdin to placate older versions of autoconf.  Sigh.
@@ -773,7 +768,7 @@
 fi
 
 echo $ac_n "checking for working autoconf""... $ac_c" 1>&6
-echo "configure:777: checking for working autoconf" >&5
+echo "configure:772: checking for working autoconf" >&5
 # Run test in a subshell; some versions of sh will print an error if
 # an executable is not found, even if stderr is redirected.
 # Redirect stdin to placate older versions of autoconf.  Sigh.
@@ -786,7 +781,7 @@
 fi
 
 echo $ac_n "checking for working automake""... $ac_c" 1>&6
-echo "configure:790: checking for working automake" >&5
+echo "configure:785: checking for working automake" >&5
 # Run test in a subshell; some versions of sh will print an error if
 # an executable is not found, even if stderr is redirected.
 # Redirect stdin to placate older versions of autoconf.  Sigh.
@@ -799,7 +794,7 @@
 fi
 
 echo $ac_n "checking for working autoheader""... $ac_c" 1>&6
-echo "configure:803: checking for working autoheader" >&5
+echo "configure:798: checking for working autoheader" >&5
 # Run test in a subshell; some versions of sh will print an error if
 # an executable is not found, even if stderr is redirected.
 # Redirect stdin to placate older versions of autoconf.  Sigh.
@@ -812,7 +807,7 @@
 fi
 
 echo $ac_n "checking for working makeinfo""... $ac_c" 1>&6
-echo "configure:816: checking for working makeinfo" >&5
+echo "configure:811: checking for working makeinfo" >&5
 # Run test in a subshell; some versions of sh will print an error if
 # an executable is not found, even if stderr is redirected.
 # Redirect stdin to placate older versions of autoconf.  Sigh.
@@ -824,47 +819,6 @@
    echo "$ac_t""missing" 1>&6
 fi
 
-for ac_prog in gnutar gtar tar
-do
-# Extract the first word of "$ac_prog", so it can be a program name with args.
-set dummy $ac_prog; ac_word=$2
-echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:833: checking for $ac_word" >&5
-if eval "test \"\${ac_cv_prog_AMTAR+set}\" = set"; then
-  echo $ac_n "(cached) $ac_c" 1>&6
-else
-  if test -n "$AMTAR"; then
-  ac_cv_prog_AMTAR="$AMTAR" # Let the user override the test.
-else
-  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
-  ac_dummy="$PATH"
-  for ac_dir in $ac_dummy; do
-    test -z "$ac_dir" && ac_dir=.
-    if test -f $ac_dir/$ac_word; then
-      ac_cv_prog_AMTAR="$ac_prog"
-      break
-    fi
-  done
-  IFS="$ac_save_ifs"
-fi
-fi
-AMTAR="$ac_cv_prog_AMTAR"
-if test -n "$AMTAR"; then
-  echo "$ac_t""$AMTAR" 1>&6
-else
-  echo "$ac_t""no" 1>&6
-fi
-
-test -n "$AMTAR" && break
-done
-
-AMTARFLAGS=
-if test -n "$AMTAR"; then
-  if $SHELL -c "$AMTAR --version" > /dev/null 2>&1; then
-        AMTARFLAGS=o
-  fi
-fi
-
 
 
 
@@ -872,7 +826,7 @@
 
 
 echo $ac_n "checking whether build environment is sane""... $ac_c" 1>&6
-echo "configure:876: checking whether build environment is sane" >&5
+echo "configure:830: checking whether build environment is sane" >&5
 # Just in case
 sleep 1
 echo timestamp > conftestfile
@@ -922,9 +876,9 @@
 # SVR4 /usr/ucb/install, which tries to use the nonexistent group "staff"
 # ./install, which can be erroneously created by make from ./install.sh.
 echo $ac_n "checking for a BSD compatible install""... $ac_c" 1>&6
-echo "configure:926: checking for a BSD compatible install" >&5
+echo "configure:880: checking for a BSD compatible install" >&5
 if test -z "$INSTALL"; then
-if eval "test \"\${ac_cv_path_install+set}\" = set"; then
+if eval "test \"`echo '$''{'ac_cv_path_install'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
     IFS="${IFS= 	}"; ac_save_IFS="$IFS"; IFS=":"
@@ -942,10 +896,6 @@
             grep dspmsg $ac_dir/$ac_prog >/dev/null 2>&1; then
 	    # AIX install.  It has an incompatible calling convention.
 	    :
-	  elif test $ac_prog = install &&
-	    grep pwplus $ac_dir/$ac_prog >/dev/null 2>&1; then
-	    # program-specific install script used by HP pwplus--don't use.
-	    :
 	  else
 	    ac_cv_path_install="$ac_dir/$ac_prog -c"
 	    break 2
@@ -974,7 +924,7 @@
 # It thinks the first close brace ends the variable substitution.
 test -z "$INSTALL_PROGRAM" && INSTALL_PROGRAM='${INSTALL}'
 
-test -z "$INSTALL_SCRIPT" && INSTALL_SCRIPT='${INSTALL}'
+test -z "$INSTALL_SCRIPT" && INSTALL_SCRIPT='${INSTALL_PROGRAM}'
 
 test -z "$INSTALL_DATA" && INSTALL_DATA='${INSTALL} -m 644'
 
@@ -982,8 +932,8 @@
 # Extract the first word of "gcc", so it can be a program name with args.
 set dummy gcc; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:986: checking for $ac_word" >&5
-if eval "test \"\${ac_cv_prog_CC+set}\" = set"; then
+echo "configure:936: checking for $ac_word" >&5
+if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   if test -n "$CC"; then
@@ -1012,8 +962,8 @@
   # Extract the first word of "cc", so it can be a program name with args.
 set dummy cc; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:1016: checking for $ac_word" >&5
-if eval "test \"\${ac_cv_prog_CC+set}\" = set"; then
+echo "configure:966: checking for $ac_word" >&5
+if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   if test -n "$CC"; then
@@ -1059,12 +1009,12 @@
 
   if test -z "$CC"; then
     case "`uname -s`" in
-    *win32* | *WIN32* | *CYGWIN*)
+    *win32* | *WIN32*)
       # Extract the first word of "cl", so it can be a program name with args.
 set dummy cl; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:1067: checking for $ac_word" >&5
-if eval "test \"\${ac_cv_prog_CC+set}\" = set"; then
+echo "configure:1017: checking for $ac_word" >&5
+if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   if test -n "$CC"; then
@@ -1094,8 +1044,8 @@
   test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
 fi
 
-echo $ac_n "checking whether the C compiler ($CC $CFLAGS $CPPFLAGS $LDFLAGS) works""... $ac_c" 1>&6
-echo "configure:1099: checking whether the C compiler ($CC $CFLAGS $CPPFLAGS $LDFLAGS) works" >&5
+echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
+echo "configure:1049: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
 
 ac_ext=c
 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
@@ -1106,12 +1056,12 @@
 
 cat > conftest.$ac_ext << EOF
 
-#line 1110 "configure"
+#line 1060 "configure"
 #include "confdefs.h"
 
 main(){return(0);}
 EOF
-if { (eval echo configure:1115: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:1065: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   ac_cv_prog_cc_works=yes
   # If we can't run a trivial program, we are probably using a cross compiler.
   if (./conftest; exit) 2>/dev/null; then
@@ -1136,14 +1086,14 @@
 if test $ac_cv_prog_cc_works = no; then
   { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
 fi
-echo $ac_n "checking whether the C compiler ($CC $CFLAGS $CPPFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
-echo "configure:1141: checking whether the C compiler ($CC $CFLAGS $CPPFLAGS $LDFLAGS) is a cross-compiler" >&5
+echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
+echo "configure:1091: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
 echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
 cross_compiling=$ac_cv_prog_cc_cross
 
 echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
-echo "configure:1146: checking whether we are using GNU C" >&5
-if eval "test \"\${ac_cv_prog_gcc+set}\" = set"; then
+echo "configure:1096: checking whether we are using GNU C" >&5
+if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.c <<EOF
@@ -1151,7 +1101,7 @@
   yes;
 #endif
 EOF
-if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:1155: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
+if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:1105: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
   ac_cv_prog_gcc=yes
 else
   ac_cv_prog_gcc=no
@@ -1170,8 +1120,8 @@
 ac_save_CFLAGS="$CFLAGS"
 CFLAGS=
 echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
-echo "configure:1174: checking whether ${CC-cc} accepts -g" >&5
-if eval "test \"\${ac_cv_prog_cc_g+set}\" = set"; then
+echo "configure:1124: checking whether ${CC-cc} accepts -g" >&5
+if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   echo 'void f(){}' > conftest.c
@@ -1213,9 +1163,9 @@
 # SVR4 /usr/ucb/install, which tries to use the nonexistent group "staff"
 # ./install, which can be erroneously created by make from ./install.sh.
 echo $ac_n "checking for a BSD compatible install""... $ac_c" 1>&6
-echo "configure:1217: checking for a BSD compatible install" >&5
+echo "configure:1167: checking for a BSD compatible install" >&5
 if test -z "$INSTALL"; then
-if eval "test \"\${ac_cv_path_install+set}\" = set"; then
+if eval "test \"`echo '$''{'ac_cv_path_install'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
     IFS="${IFS= 	}"; ac_save_IFS="$IFS"; IFS=":"
@@ -1233,10 +1183,6 @@
             grep dspmsg $ac_dir/$ac_prog >/dev/null 2>&1; then
 	    # AIX install.  It has an incompatible calling convention.
 	    :
-	  elif test $ac_prog = install &&
-	    grep pwplus $ac_dir/$ac_prog >/dev/null 2>&1; then
-	    # program-specific install script used by HP pwplus--don't use.
-	    :
 	  else
 	    ac_cv_path_install="$ac_dir/$ac_prog -c"
 	    break 2
@@ -1265,18 +1211,18 @@
 # It thinks the first close brace ends the variable substitution.
 test -z "$INSTALL_PROGRAM" && INSTALL_PROGRAM='${INSTALL}'
 
-test -z "$INSTALL_SCRIPT" && INSTALL_SCRIPT='${INSTALL}'
+test -z "$INSTALL_SCRIPT" && INSTALL_SCRIPT='${INSTALL_PROGRAM}'
 
 test -z "$INSTALL_DATA" && INSTALL_DATA='${INSTALL} -m 644'
 
 echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
-echo "configure:1274: checking how to run the C preprocessor" >&5
+echo "configure:1220: checking how to run the C preprocessor" >&5
 # On Suns, sometimes $CPP names a directory.
 if test -n "$CPP" && test -d "$CPP"; then
   CPP=
 fi
 if test -z "$CPP"; then
-if eval "test \"\${ac_cv_prog_CPP+set}\" = set"; then
+if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
     # This must be in double quotes, not single quotes, because CPP may get
@@ -1285,13 +1231,13 @@
   # On the NeXT, cc -E runs the code through the compiler's parser,
   # not just through cpp.
   cat > conftest.$ac_ext <<EOF
-#line 1289 "configure"
+#line 1235 "configure"
 #include "confdefs.h"
 #include <assert.h>
 Syntax Error
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:1295: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:1241: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   :
@@ -1302,13 +1248,13 @@
   rm -rf conftest*
   CPP="${CC-cc} -E -traditional-cpp"
   cat > conftest.$ac_ext <<EOF
-#line 1306 "configure"
+#line 1252 "configure"
 #include "confdefs.h"
 #include <assert.h>
 Syntax Error
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:1312: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:1258: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   :
@@ -1319,13 +1265,13 @@
   rm -rf conftest*
   CPP="${CC-cc} -nologo -E"
   cat > conftest.$ac_ext <<EOF
-#line 1323 "configure"
+#line 1269 "configure"
 #include "confdefs.h"
 #include <assert.h>
 Syntax Error
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:1329: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:1275: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   :
@@ -1350,12 +1296,12 @@
 echo "$ac_t""$CPP" 1>&6
 
 echo $ac_n "checking for ANSI C header files""... $ac_c" 1>&6
-echo "configure:1354: checking for ANSI C header files" >&5
-if eval "test \"\${ac_cv_header_stdc+set}\" = set"; then
+echo "configure:1300: checking for ANSI C header files" >&5
+if eval "test \"`echo '$''{'ac_cv_header_stdc'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 1359 "configure"
+#line 1305 "configure"
 #include "confdefs.h"
 #include <stdlib.h>
 #include <stdarg.h>
@@ -1363,7 +1309,7 @@
 #include <float.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:1367: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:1313: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -1380,7 +1326,7 @@
 if test $ac_cv_header_stdc = yes; then
   # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
 cat > conftest.$ac_ext <<EOF
-#line 1384 "configure"
+#line 1330 "configure"
 #include "confdefs.h"
 #include <string.h>
 EOF
@@ -1398,7 +1344,7 @@
 if test $ac_cv_header_stdc = yes; then
   # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
 cat > conftest.$ac_ext <<EOF
-#line 1402 "configure"
+#line 1348 "configure"
 #include "confdefs.h"
 #include <stdlib.h>
 EOF
@@ -1419,7 +1365,7 @@
   :
 else
   cat > conftest.$ac_ext <<EOF
-#line 1423 "configure"
+#line 1369 "configure"
 #include "confdefs.h"
 #include <ctype.h>
 #define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
@@ -1430,7 +1376,7 @@
 exit (0); }
 
 EOF
-if { (eval echo configure:1434: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:1380: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   :
 else
@@ -1459,17 +1405,17 @@
 do
 ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
-echo "configure:1463: checking for $ac_hdr" >&5
-if eval "test \"\${ac_cv_header_$ac_safe+set}\" = set"; then
+echo "configure:1409: checking for $ac_hdr" >&5
+if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 1468 "configure"
+#line 1414 "configure"
 #include "confdefs.h"
 #include <$ac_hdr>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:1473: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:1419: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -1497,12 +1443,12 @@
 
 
 echo $ac_n "checking for sys_siglist declaration in signal.h or unistd.h""... $ac_c" 1>&6
-echo "configure:1501: checking for sys_siglist declaration in signal.h or unistd.h" >&5
-if eval "test \"\${ac_cv_decl_sys_siglist+set}\" = set"; then
+echo "configure:1447: checking for sys_siglist declaration in signal.h or unistd.h" >&5
+if eval "test \"`echo '$''{'ac_cv_decl_sys_siglist'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 1506 "configure"
+#line 1452 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #include <signal.h>
@@ -1514,7 +1460,7 @@
 char *msg = *(sys_siglist + 1);
 ; return 0; }
 EOF
-if { (eval echo configure:1518: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:1464: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   ac_cv_decl_sys_siglist=yes
 else
@@ -1535,12 +1481,12 @@
 fi
 
 echo $ac_n "checking for working const""... $ac_c" 1>&6
-echo "configure:1539: checking for working const" >&5
-if eval "test \"\${ac_cv_c_const+set}\" = set"; then
+echo "configure:1485: checking for working const" >&5
+if eval "test \"`echo '$''{'ac_cv_c_const'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 1544 "configure"
+#line 1490 "configure"
 #include "confdefs.h"
 
 int main() {
@@ -1589,7 +1535,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:1593: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:1539: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   ac_cv_c_const=yes
 else
@@ -1610,12 +1556,12 @@
 fi
 
 echo $ac_n "checking for size_t""... $ac_c" 1>&6
-echo "configure:1614: checking for size_t" >&5
-if eval "test \"\${ac_cv_type_size_t+set}\" = set"; then
+echo "configure:1560: checking for size_t" >&5
+if eval "test \"`echo '$''{'ac_cv_type_size_t'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 1619 "configure"
+#line 1565 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #if STDC_HEADERS
@@ -1626,31 +1572,29 @@
 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
   egrep "(^|[^a-zA-Z_0-9])size_t[^a-zA-Z_0-9]" >/dev/null 2>&1; then
   rm -rf conftest*
-  eval "ac_cv_type_size_t=yes"
+  ac_cv_type_size_t=yes
 else
   rm -rf conftest*
-  eval "ac_cv_type_size_t=no"
+  ac_cv_type_size_t=no
 fi
 rm -f conftest*
 
 fi
-if eval "test \"`echo '$ac_cv_type_'size_t`\" = yes"; then
-  echo "$ac_t""yes" 1>&6
-else
-  echo "$ac_t""no" 1>&6
-  cat >> confdefs.h <<EOF
+echo "$ac_t""$ac_cv_type_size_t" 1>&6
+if test $ac_cv_type_size_t = no; then
+  cat >> confdefs.h <<\EOF
 #define size_t unsigned
 EOF
 
 fi
 
 echo $ac_n "checking for pid_t""... $ac_c" 1>&6
-echo "configure:1649: checking for pid_t" >&5
-if eval "test \"\${ac_cv_type_pid_t+set}\" = set"; then
+echo "configure:1593: checking for pid_t" >&5
+if eval "test \"`echo '$''{'ac_cv_type_pid_t'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 1654 "configure"
+#line 1598 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #if STDC_HEADERS
@@ -1661,19 +1605,17 @@
 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
   egrep "(^|[^a-zA-Z_0-9])pid_t[^a-zA-Z_0-9]" >/dev/null 2>&1; then
   rm -rf conftest*
-  eval "ac_cv_type_pid_t=yes"
+  ac_cv_type_pid_t=yes
 else
   rm -rf conftest*
-  eval "ac_cv_type_pid_t=no"
+  ac_cv_type_pid_t=no
 fi
 rm -f conftest*
 
 fi
-if eval "test \"`echo '$ac_cv_type_'pid_t`\" = yes"; then
-  echo "$ac_t""yes" 1>&6
-else
-  echo "$ac_t""no" 1>&6
-  cat >> confdefs.h <<EOF
+echo "$ac_t""$ac_cv_type_pid_t" 1>&6
+if test $ac_cv_type_pid_t = no; then
+  cat >> confdefs.h <<\EOF
 #define pid_t int
 EOF
 
@@ -1683,7 +1625,7 @@
 
 
 echo $ac_n "checking for pam being enabled""... $ac_c" 1>&6
-echo "configure:1687: checking for pam being enabled" >&5
+echo "configure:1629: checking for pam being enabled" >&5
 # Check whether --enable-pam or --disable-pam was given.
 if test "${enable_pam+set}" = set; then
   enableval="$enable_pam"
@@ -1713,22 +1655,22 @@
 
 if test "$enable_pam" = yes; then
 	echo $ac_n "checking for main in -lpam""... $ac_c" 1>&6
-echo "configure:1717: checking for main in -lpam" >&5
+echo "configure:1659: checking for main in -lpam" >&5
 ac_lib_var=`echo pam'_'main | sed 'y%./+-%__p_%'`
-if eval "test \"\${ac_cv_lib_$ac_lib_var+set}\" = set"; then
+if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   ac_save_LIBS="$LIBS"
 LIBS="-lpam -ldl $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 1725 "configure"
+#line 1667 "configure"
 #include "confdefs.h"
 
 int main() {
 main()
 ; return 0; }
 EOF
-if { (eval echo configure:1732: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:1674: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -1767,7 +1709,7 @@
 
 if test "$enable_pam" = yes; then
     echo $ac_n "checking for pam directory $PAM_DIR_PATH""... $ac_c" 1>&6
-echo "configure:1771: checking for pam directory $PAM_DIR_PATH" >&5
+echo "configure:1713: checking for pam directory $PAM_DIR_PATH" >&5
     if test -d "$PAM_DIR_PATH"; then
 	echo "$ac_t""exists" 1>&6
     else
@@ -1779,7 +1721,7 @@
 
 if test "$enable_pam" = no; then
 echo $ac_n "checking for shadow being enabled""... $ac_c" 1>&6
-echo "configure:1783: checking for shadow being enabled" >&5
+echo "configure:1725: checking for shadow being enabled" >&5
 # Check whether --enable-shadow or --disable-shadow was given.
 if test "${enable_shadow+set}" = set; then
   enableval="$enable_shadow"
@@ -1799,22 +1741,22 @@
 
 if test -z "$PASSWDLIB" && test "$enable_shadow" = "yes"; then
   echo $ac_n "checking for main in -lshadow""... $ac_c" 1>&6
-echo "configure:1803: checking for main in -lshadow" >&5
+echo "configure:1745: checking for main in -lshadow" >&5
 ac_lib_var=`echo shadow'_'main | sed 'y%./+-%__p_%'`
-if eval "test \"\${ac_cv_lib_$ac_lib_var+set}\" = set"; then
+if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   ac_save_LIBS="$LIBS"
 LIBS="-lshadow  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 1811 "configure"
+#line 1753 "configure"
 #include "confdefs.h"
 
 int main() {
 main()
 ; return 0; }
 EOF
-if { (eval echo configure:1818: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:1760: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -1846,22 +1788,22 @@
 
 
 echo $ac_n "checking for main in -lutil""... $ac_c" 1>&6
-echo "configure:1850: checking for main in -lutil" >&5
+echo "configure:1792: checking for main in -lutil" >&5
 ac_lib_var=`echo util'_'main | sed 'y%./+-%__p_%'`
-if eval "test \"\${ac_cv_lib_$ac_lib_var+set}\" = set"; then
+if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   ac_save_LIBS="$LIBS"
 LIBS="-lutil  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 1858 "configure"
+#line 1800 "configure"
 #include "confdefs.h"
 
 int main() {
 main()
 ; return 0; }
 EOF
-if { (eval echo configure:1865: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:1807: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -1883,22 +1825,22 @@
  
 
 echo $ac_n "checking for main in -ls""... $ac_c" 1>&6
-echo "configure:1887: checking for main in -ls" >&5
+echo "configure:1829: checking for main in -ls" >&5
 ac_lib_var=`echo s'_'main | sed 'y%./+-%__p_%'`
-if eval "test \"\${ac_cv_lib_$ac_lib_var+set}\" = set"; then
+if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   ac_save_LIBS="$LIBS"
 LIBS="-ls  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 1895 "configure"
+#line 1837 "configure"
 #include "confdefs.h"
 
 int main() {
 main()
 ; return 0; }
 EOF
-if { (eval echo configure:1902: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:1844: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -1921,22 +1863,22 @@
 
 
 echo $ac_n "checking for main in -lcrypt""... $ac_c" 1>&6
-echo "configure:1925: checking for main in -lcrypt" >&5
+echo "configure:1867: checking for main in -lcrypt" >&5
 ac_lib_var=`echo crypt'_'main | sed 'y%./+-%__p_%'`
-if eval "test \"\${ac_cv_lib_$ac_lib_var+set}\" = set"; then
+if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   ac_save_LIBS="$LIBS"
 LIBS="-lcrypt  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 1933 "configure"
+#line 1875 "configure"
 #include "confdefs.h"
 
 int main() {
 main()
 ; return 0; }
 EOF
-if { (eval echo configure:1940: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:1882: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -1958,12 +1900,12 @@
  
 
 echo $ac_n "checking for shmat""... $ac_c" 1>&6
-echo "configure:1962: checking for shmat" >&5
-if eval "test \"\${ac_cv_func_shmat+set}\" = set"; then
+echo "configure:1904: checking for shmat" >&5
+if eval "test \"`echo '$''{'ac_cv_func_shmat'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 1967 "configure"
+#line 1909 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char shmat(); below.  */
@@ -1972,7 +1914,6 @@
 /* We use char because int might match the return type of a gcc2
     builtin and then its argument prototype would still apply.  */
 char shmat();
-char (*f)();
 
 int main() {
 
@@ -1982,12 +1923,12 @@
 #if defined (__stub_shmat) || defined (__stub___shmat)
 choke me
 #else
-f = shmat;
+shmat();
 #endif
 
 ; return 0; }
 EOF
-if { (eval echo configure:1991: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:1932: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_shmat=yes"
 else
@@ -2008,15 +1949,15 @@
 
 if test $ac_cv_func_shmat = no; then
    echo $ac_n "checking for shmat in -lipc""... $ac_c" 1>&6
-echo "configure:2012: checking for shmat in -lipc" >&5
+echo "configure:1953: checking for shmat in -lipc" >&5
 ac_lib_var=`echo ipc'_'shmat | sed 'y%./+-%__p_%'`
-if eval "test \"\${ac_cv_lib_$ac_lib_var+set}\" = set"; then
+if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   ac_save_LIBS="$LIBS"
 LIBS="-lipc  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 2020 "configure"
+#line 1961 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -2027,7 +1968,7 @@
 shmat()
 ; return 0; }
 EOF
-if { (eval echo configure:2031: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:1972: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -2050,15 +1991,15 @@
 
 
 echo $ac_n "checking for killpg in -lucb""... $ac_c" 1>&6
-echo "configure:2054: checking for killpg in -lucb" >&5
+echo "configure:1995: checking for killpg in -lucb" >&5
 ac_lib_var=`echo ucb'_'killpg | sed 'y%./+-%__p_%'`
-if eval "test \"\${ac_cv_lib_$ac_lib_var+set}\" = set"; then
+if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   ac_save_LIBS="$LIBS"
 LIBS="-lucb  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 2062 "configure"
+#line 2003 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -2069,7 +2010,7 @@
 killpg()
 ; return 0; }
 EOF
-if { (eval echo configure:2073: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2014: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -2107,7 +2048,7 @@
 
 
 echo $ac_n "checking if  xdm source exists""... $ac_c" 1>&6
-echo "configure:2111: checking if  xdm source exists" >&5
+echo "configure:2052: checking if  xdm source exists" >&5
 if test -f xdm/dm.h; then
     xdmexists=yes
 else
@@ -2117,7 +2058,7 @@
 
 if test "$xdmexists" = no; then
     echo $ac_n "checking check if xdm-332.tar.gz exists""... $ac_c" 1>&6
-echo "configure:2121: checking check if xdm-332.tar.gz exists" >&5
+echo "configure:2062: checking check if xdm-332.tar.gz exists" >&5
     if test -f xdm-332.tar.gz; then
 	xdmtarexists=yes
     else
@@ -2130,7 +2071,7 @@
     fi
 
     echo $ac_n "checking again if xdm source exists""... $ac_c" 1>&6
-echo "configure:2134: checking again if xdm source exists" >&5
+echo "configure:2075: checking again if xdm source exists" >&5
     if test -f xdm/dm.h; then
 	xdmexists=yes
     else
@@ -2149,7 +2090,7 @@
 # Uses ac_ vars as temps to allow command line to override cache and checks.
 # --without-x overrides everything else, but does not touch the cache.
 echo $ac_n "checking for X""... $ac_c" 1>&6
-echo "configure:2153: checking for X" >&5
+echo "configure:2094: checking for X" >&5
 
 # Check whether --with-x or --without-x was given.
 if test "${with_x+set}" = set; then
@@ -2166,7 +2107,7 @@
     # Both variables are already set.
     have_x=yes
   else
-if eval "test \"\${ac_cv_have_x+set}\" = set"; then
+if eval "test \"`echo '$''{'ac_cv_have_x'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   # One or both of the vars are not set, and there is no cached value.
@@ -2211,12 +2152,12 @@
 
   # First, try using that file with no special directory specified.
 cat > conftest.$ac_ext <<EOF
-#line 2215 "configure"
+#line 2156 "configure"
 #include "confdefs.h"
 #include <$x_direct_test_include>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:2220: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:2161: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -2285,14 +2226,14 @@
   ac_save_LIBS="$LIBS"
   LIBS="-l$x_direct_test_library $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 2289 "configure"
+#line 2230 "configure"
 #include "confdefs.h"
 
 int main() {
 ${x_direct_test_function}()
 ; return 0; }
 EOF
-if { (eval echo configure:2296: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2237: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   LIBS="$ac_save_LIBS"
 # We can link X programs with no special library path.
@@ -2398,17 +2339,17 @@
     case "`(uname -sr) 2>/dev/null`" in
     "SunOS 5"*)
       echo $ac_n "checking whether -R must be followed by a space""... $ac_c" 1>&6
-echo "configure:2402: checking whether -R must be followed by a space" >&5
+echo "configure:2343: checking whether -R must be followed by a space" >&5
       ac_xsave_LIBS="$LIBS"; LIBS="$LIBS -R$x_libraries"
       cat > conftest.$ac_ext <<EOF
-#line 2405 "configure"
+#line 2346 "configure"
 #include "confdefs.h"
 
 int main() {
 
 ; return 0; }
 EOF
-if { (eval echo configure:2412: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2353: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   ac_R_nospace=yes
 else
@@ -2424,14 +2365,14 @@
       else
 	LIBS="$ac_xsave_LIBS -R $x_libraries"
 	cat > conftest.$ac_ext <<EOF
-#line 2428 "configure"
+#line 2369 "configure"
 #include "confdefs.h"
 
 int main() {
 
 ; return 0; }
 EOF
-if { (eval echo configure:2435: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2376: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   ac_R_space=yes
 else
@@ -2463,15 +2404,15 @@
     # libraries were built with DECnet support.  And karl@cs.umb.edu says
     # the Alpha needs dnet_stub (dnet does not exist).
     echo $ac_n "checking for dnet_ntoa in -ldnet""... $ac_c" 1>&6
-echo "configure:2467: checking for dnet_ntoa in -ldnet" >&5
+echo "configure:2408: checking for dnet_ntoa in -ldnet" >&5
 ac_lib_var=`echo dnet'_'dnet_ntoa | sed 'y%./+-%__p_%'`
-if eval "test \"\${ac_cv_lib_$ac_lib_var+set}\" = set"; then
+if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   ac_save_LIBS="$LIBS"
 LIBS="-ldnet  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 2475 "configure"
+#line 2416 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -2482,7 +2423,7 @@
 dnet_ntoa()
 ; return 0; }
 EOF
-if { (eval echo configure:2486: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2427: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -2504,15 +2445,15 @@
 
     if test $ac_cv_lib_dnet_dnet_ntoa = no; then
       echo $ac_n "checking for dnet_ntoa in -ldnet_stub""... $ac_c" 1>&6
-echo "configure:2508: checking for dnet_ntoa in -ldnet_stub" >&5
+echo "configure:2449: checking for dnet_ntoa in -ldnet_stub" >&5
 ac_lib_var=`echo dnet_stub'_'dnet_ntoa | sed 'y%./+-%__p_%'`
-if eval "test \"\${ac_cv_lib_$ac_lib_var+set}\" = set"; then
+if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   ac_save_LIBS="$LIBS"
 LIBS="-ldnet_stub  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 2516 "configure"
+#line 2457 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -2523,7 +2464,7 @@
 dnet_ntoa()
 ; return 0; }
 EOF
-if { (eval echo configure:2527: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2468: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -2552,12 +2493,12 @@
     # The nsl library prevents programs from opening the X display
     # on Irix 5.2, according to dickey@clark.net.
     echo $ac_n "checking for gethostbyname""... $ac_c" 1>&6
-echo "configure:2556: checking for gethostbyname" >&5
-if eval "test \"\${ac_cv_func_gethostbyname+set}\" = set"; then
+echo "configure:2497: checking for gethostbyname" >&5
+if eval "test \"`echo '$''{'ac_cv_func_gethostbyname'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 2561 "configure"
+#line 2502 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char gethostbyname(); below.  */
@@ -2566,7 +2507,6 @@
 /* We use char because int might match the return type of a gcc2
     builtin and then its argument prototype would still apply.  */
 char gethostbyname();
-char (*f)();
 
 int main() {
 
@@ -2576,12 +2516,12 @@
 #if defined (__stub_gethostbyname) || defined (__stub___gethostbyname)
 choke me
 #else
-f = gethostbyname;
+gethostbyname();
 #endif
 
 ; return 0; }
 EOF
-if { (eval echo configure:2585: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2525: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_gethostbyname=yes"
 else
@@ -2602,15 +2542,15 @@
 
     if test $ac_cv_func_gethostbyname = no; then
       echo $ac_n "checking for gethostbyname in -lnsl""... $ac_c" 1>&6
-echo "configure:2606: checking for gethostbyname in -lnsl" >&5
+echo "configure:2546: checking for gethostbyname in -lnsl" >&5
 ac_lib_var=`echo nsl'_'gethostbyname | sed 'y%./+-%__p_%'`
-if eval "test \"\${ac_cv_lib_$ac_lib_var+set}\" = set"; then
+if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   ac_save_LIBS="$LIBS"
 LIBS="-lnsl  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 2614 "configure"
+#line 2554 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -2621,7 +2561,7 @@
 gethostbyname()
 ; return 0; }
 EOF
-if { (eval echo configure:2625: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2565: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -2651,12 +2591,12 @@
     # -lsocket must be given before -lnsl if both are needed.
     # We assume that if connect needs -lnsl, so does gethostbyname.
     echo $ac_n "checking for connect""... $ac_c" 1>&6
-echo "configure:2655: checking for connect" >&5
-if eval "test \"\${ac_cv_func_connect+set}\" = set"; then
+echo "configure:2595: checking for connect" >&5
+if eval "test \"`echo '$''{'ac_cv_func_connect'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 2660 "configure"
+#line 2600 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char connect(); below.  */
@@ -2665,7 +2605,6 @@
 /* We use char because int might match the return type of a gcc2
     builtin and then its argument prototype would still apply.  */
 char connect();
-char (*f)();
 
 int main() {
 
@@ -2675,12 +2614,12 @@
 #if defined (__stub_connect) || defined (__stub___connect)
 choke me
 #else
-f = connect;
+connect();
 #endif
 
 ; return 0; }
 EOF
-if { (eval echo configure:2684: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2623: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_connect=yes"
 else
@@ -2701,15 +2640,15 @@
 
     if test $ac_cv_func_connect = no; then
       echo $ac_n "checking for connect in -lsocket""... $ac_c" 1>&6
-echo "configure:2705: checking for connect in -lsocket" >&5
+echo "configure:2644: checking for connect in -lsocket" >&5
 ac_lib_var=`echo socket'_'connect | sed 'y%./+-%__p_%'`
-if eval "test \"\${ac_cv_lib_$ac_lib_var+set}\" = set"; then
+if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   ac_save_LIBS="$LIBS"
 LIBS="-lsocket $X_EXTRA_LIBS $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 2713 "configure"
+#line 2652 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -2720,7 +2659,7 @@
 connect()
 ; return 0; }
 EOF
-if { (eval echo configure:2724: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2663: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -2744,12 +2683,12 @@
 
     # gomez@mi.uni-erlangen.de says -lposix is necessary on A/UX.
     echo $ac_n "checking for remove""... $ac_c" 1>&6
-echo "configure:2748: checking for remove" >&5
-if eval "test \"\${ac_cv_func_remove+set}\" = set"; then
+echo "configure:2687: checking for remove" >&5
+if eval "test \"`echo '$''{'ac_cv_func_remove'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 2753 "configure"
+#line 2692 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char remove(); below.  */
@@ -2758,7 +2697,6 @@
 /* We use char because int might match the return type of a gcc2
     builtin and then its argument prototype would still apply.  */
 char remove();
-char (*f)();
 
 int main() {
 
@@ -2768,12 +2706,12 @@
 #if defined (__stub_remove) || defined (__stub___remove)
 choke me
 #else
-f = remove;
+remove();
 #endif
 
 ; return 0; }
 EOF
-if { (eval echo configure:2777: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2715: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_remove=yes"
 else
@@ -2794,15 +2732,15 @@
 
     if test $ac_cv_func_remove = no; then
       echo $ac_n "checking for remove in -lposix""... $ac_c" 1>&6
-echo "configure:2798: checking for remove in -lposix" >&5
+echo "configure:2736: checking for remove in -lposix" >&5
 ac_lib_var=`echo posix'_'remove | sed 'y%./+-%__p_%'`
-if eval "test \"\${ac_cv_lib_$ac_lib_var+set}\" = set"; then
+if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   ac_save_LIBS="$LIBS"
 LIBS="-lposix  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 2806 "configure"
+#line 2744 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -2813,7 +2751,7 @@
 remove()
 ; return 0; }
 EOF
-if { (eval echo configure:2817: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2755: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -2837,12 +2775,12 @@
 
     # BSDI BSD/OS 2.1 needs -lipc for XOpenDisplay.
     echo $ac_n "checking for shmat""... $ac_c" 1>&6
-echo "configure:2841: checking for shmat" >&5
-if eval "test \"\${ac_cv_func_shmat+set}\" = set"; then
+echo "configure:2779: checking for shmat" >&5
+if eval "test \"`echo '$''{'ac_cv_func_shmat'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 2846 "configure"
+#line 2784 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char shmat(); below.  */
@@ -2851,7 +2789,6 @@
 /* We use char because int might match the return type of a gcc2
     builtin and then its argument prototype would still apply.  */
 char shmat();
-char (*f)();
 
 int main() {
 
@@ -2861,12 +2798,12 @@
 #if defined (__stub_shmat) || defined (__stub___shmat)
 choke me
 #else
-f = shmat;
+shmat();
 #endif
 
 ; return 0; }
 EOF
-if { (eval echo configure:2870: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2807: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_shmat=yes"
 else
@@ -2887,15 +2824,15 @@
 
     if test $ac_cv_func_shmat = no; then
       echo $ac_n "checking for shmat in -lipc""... $ac_c" 1>&6
-echo "configure:2891: checking for shmat in -lipc" >&5
+echo "configure:2828: checking for shmat in -lipc" >&5
 ac_lib_var=`echo ipc'_'shmat | sed 'y%./+-%__p_%'`
-if eval "test \"\${ac_cv_lib_$ac_lib_var+set}\" = set"; then
+if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   ac_save_LIBS="$LIBS"
 LIBS="-lipc  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 2899 "configure"
+#line 2836 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -2906,7 +2843,7 @@
 shmat()
 ; return 0; }
 EOF
-if { (eval echo configure:2910: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2847: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -2939,15 +2876,15 @@
   # libraries we check for below, so use a different variable.
   #  --interran@uluru.Stanford.EDU, kb@cs.umb.edu.
   echo $ac_n "checking for IceConnectionNumber in -lICE""... $ac_c" 1>&6
-echo "configure:2943: checking for IceConnectionNumber in -lICE" >&5
+echo "configure:2880: checking for IceConnectionNumber in -lICE" >&5
 ac_lib_var=`echo ICE'_'IceConnectionNumber | sed 'y%./+-%__p_%'`
-if eval "test \"\${ac_cv_lib_$ac_lib_var+set}\" = set"; then
+if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   ac_save_LIBS="$LIBS"
 LIBS="-lICE $X_EXTRA_LIBS $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 2951 "configure"
+#line 2888 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -2958,7 +2895,7 @@
 IceConnectionNumber()
 ; return 0; }
 EOF
-if { (eval echo configure:2962: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2899: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -2993,6 +2930,52 @@
 
 
 
+echo $ac_n "checking for XineramaIsActive in -lXinerama""... $ac_c" 1>&6
+echo "configure:2935: checking for XineramaIsActive in -lXinerama" >&5
+ac_lib_var=`echo Xinerama'_'XineramaIsActive | sed 'y%./+-%__p_%'`
+if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
+  echo $ac_n "(cached) $ac_c" 1>&6
+else
+  ac_save_LIBS="$LIBS"
+LIBS="-lXinerama $XLFLAGS $XLIBS $LIBS"
+cat > conftest.$ac_ext <<EOF
+#line 2943 "configure"
+#include "confdefs.h"
+/* Override any gcc2 internal prototype to avoid an error.  */
+/* We use char because int might match the return type of a gcc2
+    builtin and then its argument prototype would still apply.  */
+char XineramaIsActive();
+
+int main() {
+XineramaIsActive()
+; return 0; }
+EOF
+if { (eval echo configure:2954: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+  rm -rf conftest*
+  eval "ac_cv_lib_$ac_lib_var=yes"
+else
+  echo "configure: failed program was:" >&5
+  cat conftest.$ac_ext >&5
+  rm -rf conftest*
+  eval "ac_cv_lib_$ac_lib_var=no"
+fi
+rm -f conftest*
+LIBS="$ac_save_LIBS"
+
+fi
+if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
+  echo "$ac_t""yes" 1>&6
+  LIBXINERAMA=-lXinerama
+     cat >> confdefs.h <<\EOF
+#define HAVE_XINERAMA 1
+EOF
+
+else
+  echo "$ac_t""no" 1>&6
+fi
+
+
+
 
 GFXLIBS=""
 GFX_LIB_PATH=""
@@ -3001,7 +2984,7 @@
 supported_gfx=""
 
 echo $ac_n "checking for using /usr/local/{bin,include,lib} paths""... $ac_c" 1>&6
-echo "configure:3005: checking for using /usr/local/{bin,include,lib} paths" >&5
+echo "configure:2988: checking for using /usr/local/{bin,include,lib} paths" >&5
 LOCAL_PATH=""
 # Check whether --with-local or --without-local was given.
 if test "${with_local+set}" = set; then
@@ -3017,7 +3000,7 @@
 echo "$ac_t""$GFX_PATH" 1>&6
 
 echo $ac_n "checking for gfx-libs""... $ac_c" 1>&6
-echo "configure:3021: checking for gfx-libs" >&5
+echo "configure:3004: checking for gfx-libs" >&5
 # Check whether --with-gfx-libs or --without-gfx-libs was given.
 if test "${with_gfx_libs+set}" = set; then
   withval="$with_gfx_libs"
@@ -3029,7 +3012,7 @@
 echo "$ac_t""$GFX_PATH" 1>&6
 
 echo $ac_n "checking for gfx-incs""... $ac_c" 1>&6
-echo "configure:3033: checking for gfx-incs" >&5
+echo "configure:3016: checking for gfx-incs" >&5
 # Check whether --with-gfx-incs or --without-gfx-incs was given.
 if test "${with_gfx_incs+set}" = set; then
   withval="$with_gfx_incs"
@@ -3054,15 +3037,15 @@
 
 if test "$xpm" = yes; then
     echo $ac_n "checking for XpmCreatePixmapFromData in -lXpm""... $ac_c" 1>&6
-echo "configure:3058: checking for XpmCreatePixmapFromData in -lXpm" >&5
+echo "configure:3041: checking for XpmCreatePixmapFromData in -lXpm" >&5
 ac_lib_var=`echo Xpm'_'XpmCreatePixmapFromData | sed 'y%./+-%__p_%'`
-if eval "test \"\${ac_cv_lib_$ac_lib_var+set}\" = set"; then
+if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   ac_save_LIBS="$LIBS"
 LIBS="-lXpm $GFX_INC_PATH $GFX_LIB_PATH $XLFLAGS $XLIBS $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 3066 "configure"
+#line 3049 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -3073,7 +3056,7 @@
 XpmCreatePixmapFromData()
 ; return 0; }
 EOF
-if { (eval echo configure:3077: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3060: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -3106,15 +3089,15 @@
 
 
 echo $ac_n "checking for gzread in -lz""... $ac_c" 1>&6
-echo "configure:3110: checking for gzread in -lz" >&5
+echo "configure:3093: checking for gzread in -lz" >&5
 ac_lib_var=`echo z'_'gzread | sed 'y%./+-%__p_%'`
-if eval "test \"\${ac_cv_lib_$ac_lib_var+set}\" = set"; then
+if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   ac_save_LIBS="$LIBS"
 LIBS="-lz $GFX_INC_PATH $GFX_LIB_PATH $XLFLAGS $XLIBS $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 3118 "configure"
+#line 3101 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -3125,7 +3108,7 @@
 gzread()
 ; return 0; }
 EOF
-if { (eval echo configure:3129: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3112: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -3166,15 +3149,15 @@
 	   lz=""
 	fi
     echo $ac_n "checking for png_get_valid in -lpng""... $ac_c" 1>&6
-echo "configure:3170: checking for png_get_valid in -lpng" >&5
+echo "configure:3153: checking for png_get_valid in -lpng" >&5
 ac_lib_var=`echo png'_'png_get_valid | sed 'y%./+-%__p_%'`
-if eval "test \"\${ac_cv_lib_$ac_lib_var+set}\" = set"; then
+if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   ac_save_LIBS="$LIBS"
 LIBS="-lpng $GFX_INC_PATH $GFX_LIB_PATH $XLFLAGS $XLIBS${lz} -lm $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 3178 "configure"
+#line 3161 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -3185,7 +3168,7 @@
 png_get_valid()
 ; return 0; }
 EOF
-if { (eval echo configure:3189: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3172: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -3221,15 +3204,15 @@
 
 if test "$jpeg" = yes; then
 	echo $ac_n "checking for jpeg_destroy_compress in -ljpeg""... $ac_c" 1>&6
-echo "configure:3225: checking for jpeg_destroy_compress in -ljpeg" >&5
+echo "configure:3208: checking for jpeg_destroy_compress in -ljpeg" >&5
 ac_lib_var=`echo jpeg'_'jpeg_destroy_compress | sed 'y%./+-%__p_%'`
-if eval "test \"\${ac_cv_lib_$ac_lib_var+set}\" = set"; then
+if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   ac_save_LIBS="$LIBS"
 LIBS="-ljpeg $GFX_INC_PATH $GFX_LIB_PATH $XLFLAGS $XLIBS $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 3233 "configure"
+#line 3216 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -3240,7 +3223,7 @@
 jpeg_destroy_compress()
 ; return 0; }
 EOF
-if { (eval echo configure:3244: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3227: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -3278,15 +3261,15 @@
 
 if test "$gif" = yes; then
 	echo $ac_n "checking for EGifOpenFileName in -lungif""... $ac_c" 1>&6
-echo "configure:3282: checking for EGifOpenFileName in -lungif" >&5
+echo "configure:3265: checking for EGifOpenFileName in -lungif" >&5
 ac_lib_var=`echo ungif'_'EGifOpenFileName | sed 'y%./+-%__p_%'`
-if eval "test \"\${ac_cv_lib_$ac_lib_var+set}\" = set"; then
+if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   ac_save_LIBS="$LIBS"
 LIBS="-lungif $GFX_INC_PATH $GFX_LIB_PATH $XLFLAGS $XLIBS $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 3290 "configure"
+#line 3273 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -3297,7 +3280,7 @@
 EGifOpenFileName()
 ; return 0; }
 EOF
-if { (eval echo configure:3301: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3284: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -3319,15 +3302,15 @@
 fi
 
 	echo $ac_n "checking for DGifOpenFileName in -lgif""... $ac_c" 1>&6
-echo "configure:3323: checking for DGifOpenFileName in -lgif" >&5
+echo "configure:3306: checking for DGifOpenFileName in -lgif" >&5
 ac_lib_var=`echo gif'_'DGifOpenFileName | sed 'y%./+-%__p_%'`
-if eval "test \"\${ac_cv_lib_$ac_lib_var+set}\" = set"; then
+if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   ac_save_LIBS="$LIBS"
 LIBS="-lgif $GFX_INC_PATH $GFX_LIB_PATH $XLFLAGS $XLIBS $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 3331 "configure"
+#line 3314 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -3338,7 +3321,7 @@
 DGifOpenFileName()
 ; return 0; }
 EOF
-if { (eval echo configure:3342: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3325: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -3391,15 +3374,15 @@
 
 if test "$tif" = yes; then
     echo $ac_n "checking for TIFFGetVersion in -ltiff""... $ac_c" 1>&6
-echo "configure:3395: checking for TIFFGetVersion in -ltiff" >&5
+echo "configure:3378: checking for TIFFGetVersion in -ltiff" >&5
 ac_lib_var=`echo tiff'_'TIFFGetVersion | sed 'y%./+-%__p_%'`
-if eval "test \"\${ac_cv_lib_$ac_lib_var+set}\" = set"; then
+if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   ac_save_LIBS="$LIBS"
 LIBS="-ltiff $GFX_INC_PATH $GFX_LIB_PATH $tiflib -lm $XLFLAGS $XLIBS $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 3403 "configure"
+#line 3386 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -3410,7 +3393,7 @@
 TIFFGetVersion()
 ; return 0; }
 EOF
-if { (eval echo configure:3414: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3397: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -3432,15 +3415,15 @@
 fi
 
     echo $ac_n "checking for TIFFGetVersion in -ltiff34""... $ac_c" 1>&6
-echo "configure:3436: checking for TIFFGetVersion in -ltiff34" >&5
+echo "configure:3419: checking for TIFFGetVersion in -ltiff34" >&5
 ac_lib_var=`echo tiff34'_'TIFFGetVersion | sed 'y%./+-%__p_%'`
-if eval "test \"\${ac_cv_lib_$ac_lib_var+set}\" = set"; then
+if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   ac_save_LIBS="$LIBS"
 LIBS="-ltiff34 $GFX_INC_PATH $GFX_LIB_PATH $tiflib -lm $XLFLAGS $XLIBS $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 3444 "configure"
+#line 3427 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -3451,7 +3434,7 @@
 TIFFGetVersion()
 ; return 0; }
 EOF
-if { (eval echo configure:3455: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3438: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -3482,19 +3465,19 @@
 WINGsOK=no
 WINGsDEBUG=no
 echo $ac_n "checking for WINGs""... $ac_c" 1>&6
-echo "configure:3486: checking for WINGs" >&5
+echo "configure:3469: checking for WINGs" >&5
 if test "$enable_debug" = yes; then
 	echo "$ac_t""using debug versions" 1>&6
 	echo $ac_n "checking for RCreateImage in -lwrasterg""... $ac_c" 1>&6
-echo "configure:3490: checking for RCreateImage in -lwrasterg" >&5
+echo "configure:3473: checking for RCreateImage in -lwrasterg" >&5
 ac_lib_var=`echo wrasterg'_'RCreateImage | sed 'y%./+-%__p_%'`
-if eval "test \"\${ac_cv_lib_$ac_lib_var+set}\" = set"; then
+if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   ac_save_LIBS="$LIBS"
 LIBS="-lwrasterg $GFX_INC_PATH $GFX_LIB_PATH $XLFLAGS $XLIBS $GFXLIBS $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 3498 "configure"
+#line 3481 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -3505,7 +3488,7 @@
 RCreateImage()
 ; return 0; }
 EOF
-if { (eval echo configure:3509: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3492: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -3528,15 +3511,15 @@
 else
 	echo "$ac_t""using standard versions" 1>&6
 	echo $ac_n "checking for RCreateImage in -lwraster""... $ac_c" 1>&6
-echo "configure:3532: checking for RCreateImage in -lwraster" >&5
+echo "configure:3515: checking for RCreateImage in -lwraster" >&5
 ac_lib_var=`echo wraster'_'RCreateImage | sed 'y%./+-%__p_%'`
-if eval "test \"\${ac_cv_lib_$ac_lib_var+set}\" = set"; then
+if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   ac_save_LIBS="$LIBS"
 LIBS="-lwraster $GFX_INC_PATH $GFX_LIB_PATH $XLFLAGS $XLIBS $GFXLIBS $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 3540 "configure"
+#line 3523 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -3547,7 +3530,7 @@
 RCreateImage()
 ; return 0; }
 EOF
-if { (eval echo configure:3551: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3534: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -3571,15 +3554,15 @@
 
 if test "$WINGsOK" = no; then
 	echo $ac_n "checking for RCreateImage in -lwraster""... $ac_c" 1>&6
-echo "configure:3575: checking for RCreateImage in -lwraster" >&5
+echo "configure:3558: checking for RCreateImage in -lwraster" >&5
 ac_lib_var=`echo wraster'_'RCreateImage | sed 'y%./+-%__p_%'`
-if eval "test \"\${ac_cv_lib_$ac_lib_var+set}\" = set"; then
+if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   ac_save_LIBS="$LIBS"
 LIBS="-lwraster $GFX_INC_PATH $GFX_LIB_PATH $XLFLAGS $XLIBS $GFXLIBS $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 3583 "configure"
+#line 3566 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -3590,7 +3573,7 @@
 RCreateImage()
 ; return 0; }
 EOF
-if { (eval echo configure:3594: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3577: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -3625,15 +3608,15 @@
 
 
 echo $ac_n "checking for PLIsArray in -lPropList""... $ac_c" 1>&6
-echo "configure:3629: checking for PLIsArray in -lPropList" >&5
+echo "configure:3612: checking for PLIsArray in -lPropList" >&5
 ac_lib_var=`echo PropList'_'PLIsArray | sed 'y%./+-%__p_%'`
-if eval "test \"\${ac_cv_lib_$ac_lib_var+set}\" = set"; then
+if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   ac_save_LIBS="$LIBS"
 LIBS="-lPropList $GFX_INC_PATH $GFX_LIB_PATH $XLFLAGS $XLIBS $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 3637 "configure"
+#line 3620 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -3644,7 +3627,7 @@
 PLIsArray()
 ; return 0; }
 EOF
-if { (eval echo configure:3648: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3631: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -3675,14 +3658,14 @@
 
 
 echo $ac_n "checking for prefix""... $ac_c" 1>&6
-echo "configure:3679: checking for prefix" >&5
+echo "configure:3662: checking for prefix" >&5
 if test "${prefix}" = "NONE"; then
 	prefix="/usr/local"
 fi
 echo "$ac_t""$prefix" 1>&6
 
 echo $ac_n "checking for exec_prefix""... $ac_c" 1>&6
-echo "configure:3686: checking for exec_prefix" >&5
+echo "configure:3669: checking for exec_prefix" >&5
 if test "${exec_prefix}" = "NONE"; then
 	exec_prefix=$prefix
 fi
@@ -3690,7 +3673,7 @@
 
 
 echo $ac_n "checking for logdir""... $ac_c" 1>&6
-echo "configure:3694: checking for logdir" >&5
+echo "configure:3677: checking for logdir" >&5
 # Check whether --with-logdir or --without-logdir was given.
 if test "${with_logdir+set}" = set; then
   withval="$with_logdir"
@@ -3706,7 +3689,7 @@
 echo "$ac_t""$LOGDIR" 1>&6
 
 echo $ac_n "checking for runlockdir""... $ac_c" 1>&6
-echo "configure:3710: checking for runlockdir" >&5
+echo "configure:3693: checking for runlockdir" >&5
 # Check whether --with-runlockdir or --without-runlockdir was given.
 if test "${with_runlockdir+set}" = set; then
   withval="$with_runlockdir"
@@ -3722,7 +3705,7 @@
 echo "$ac_t""$RUNDIR" 1>&6
 
 echo $ac_n "checking for defuserpath""... $ac_c" 1>&6
-echo "configure:3726: checking for defuserpath" >&5
+echo "configure:3709: checking for defuserpath" >&5
 # Check whether --with-defuserpath or --without-defuserpath was given.
 if test "${with_defuserpath+set}" = set; then
   withval="$with_defuserpath"
@@ -3744,7 +3727,7 @@
 fi
 
 echo $ac_n "checking for defsystempath""... $ac_c" 1>&6
-echo "configure:3748: checking for defsystempath" >&5
+echo "configure:3731: checking for defsystempath" >&5
 # Check whether --with-defsystempath or --without-defsystempath was given.
 if test "${with_defsystempath+set}" = set; then
   withval="$with_defsystempath"
@@ -3766,7 +3749,7 @@
 fi
 
 echo $ac_n "checking if  wdmdir has been specified""... $ac_c" 1>&6
-echo "configure:3770: checking if  wdmdir has been specified" >&5
+echo "configure:3753: checking if  wdmdir has been specified" >&5
 # Check whether --with-wdmdir or --without-wdmdir was given.
 if test "${with_wdmdir+set}" = set; then
   withval="$with_wdmdir"
@@ -3800,7 +3783,7 @@
 
 
 echo $ac_n "checking if  Logo pixmap specified""... $ac_c" 1>&6
-echo "configure:3804: checking if  Logo pixmap specified" >&5
+echo "configure:3787: checking if  Logo pixmap specified" >&5
 # Check whether --with-Logo or --without-Logo was given.
 if test "${with_Logo+set}" = set; then
   withval="$with_Logo"
@@ -3823,8 +3806,8 @@
 # Extract the first word of "wmaker", so it can be a program name with args.
 set dummy wmaker; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:3827: checking for $ac_word" >&5
-if eval "test \"\${ac_cv_path_WMAKER_PATH+set}\" = set"; then
+echo "configure:3810: checking for $ac_word" >&5
+if eval "test \"`echo '$''{'ac_cv_path_WMAKER_PATH'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   case "$WMAKER_PATH" in
@@ -3867,8 +3850,8 @@
 # Extract the first word of "afterstep", so it can be a program name with args.
 set dummy afterstep; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:3871: checking for $ac_word" >&5
-if eval "test \"\${ac_cv_path_AFTERSTEP_PATH+set}\" = set"; then
+echo "configure:3854: checking for $ac_word" >&5
+if eval "test \"`echo '$''{'ac_cv_path_AFTERSTEP_PATH'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   case "$AFTERSTEP_PATH" in
@@ -3911,8 +3894,8 @@
 # Extract the first word of "blackbox", so it can be a program name with args.
 set dummy blackbox; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:3915: checking for $ac_word" >&5
-if eval "test \"\${ac_cv_path_BLACKBOX_PATH+set}\" = set"; then
+echo "configure:3898: checking for $ac_word" >&5
+if eval "test \"`echo '$''{'ac_cv_path_BLACKBOX_PATH'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   case "$BLACKBOX_PATH" in
@@ -3955,8 +3938,8 @@
 # Extract the first word of "icewm", so it can be a program name with args.
 set dummy icewm; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:3959: checking for $ac_word" >&5
-if eval "test \"\${ac_cv_path_ICEWM_PATH+set}\" = set"; then
+echo "configure:3942: checking for $ac_word" >&5
+if eval "test \"`echo '$''{'ac_cv_path_ICEWM_PATH'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   case "$ICEWM_PATH" in
@@ -3999,8 +3982,8 @@
 # Extract the first word of "xsession", so it can be a program name with args.
 set dummy xsession; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:4003: checking for $ac_word" >&5
-if eval "test \"\${ac_cv_path_XSESSION_PATH+set}\" = set"; then
+echo "configure:3986: checking for $ac_word" >&5
+if eval "test \"`echo '$''{'ac_cv_path_XSESSION_PATH'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   case "$XSESSION_PATH" in
@@ -4043,8 +4026,8 @@
 # Extract the first word of "startkde", so it can be a program name with args.
 set dummy startkde; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:4047: checking for $ac_word" >&5
-if eval "test \"\${ac_cv_path_STARTKDE_PATH+set}\" = set"; then
+echo "configure:4030: checking for $ac_word" >&5
+if eval "test \"`echo '$''{'ac_cv_path_STARTKDE_PATH'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   case "$STARTKDE_PATH" in
@@ -4096,8 +4079,8 @@
     # Extract the first word of "$WINMGR_NAME", so it can be a program name with args.
 set dummy $WINMGR_NAME; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:4100: checking for $ac_word" >&5
-if eval "test \"\${ac_cv_path_WINMGR_PATH+set}\" = set"; then
+echo "configure:4083: checking for $ac_word" >&5
+if eval "test \"`echo '$''{'ac_cv_path_WINMGR_PATH'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   case "$WINMGR_PATH" in
@@ -4140,7 +4123,7 @@
 	fi
     fi
     echo $ac_n "checking for winmgr_path""... $ac_c" 1>&6
-echo "configure:4144: checking for winmgr_path" >&5
+echo "configure:4127: checking for winmgr_path" >&5
     if test "x$WINMGR_PATH" = "x"; then
 	{ echo "configure: error: unable to locate $WINMGR_NAME, use --with-winmgr_path" 1>&2; exit 1; }
     fi
@@ -4153,7 +4136,7 @@
 
 
 echo $ac_n "checking if  window manager list specified""... $ac_c" 1>&6
-echo "configure:4157: checking if  window manager list specified" >&5
+echo "configure:4140: checking if  window manager list specified" >&5
 # Check whether --with-wmlist or --without-wmlist was given.
 if test "${with_wmlist+set}" = set; then
   withval="$with_wmlist"
@@ -4173,8 +4156,8 @@
 # Extract the first word of "bash", so it can be a program name with args.
 set dummy bash; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:4177: checking for $ac_word" >&5
-if eval "test \"\${ac_cv_path_SHELL_BASH+set}\" = set"; then
+echo "configure:4160: checking for $ac_word" >&5
+if eval "test \"`echo '$''{'ac_cv_path_SHELL_BASH'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   case "$SHELL_BASH" in
@@ -4208,8 +4191,8 @@
 # Extract the first word of "sh", so it can be a program name with args.
 set dummy sh; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:4212: checking for $ac_word" >&5
-if eval "test \"\${ac_cv_path_SHELL_SH+set}\" = set"; then
+echo "configure:4195: checking for $ac_word" >&5
+if eval "test \"`echo '$''{'ac_cv_path_SHELL_SH'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   case "$SHELL_SH" in
@@ -4256,8 +4239,8 @@
 # Extract the first word of "xrdb", so it can be a program name with args.
 set dummy xrdb; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:4260: checking for $ac_word" >&5
-if eval "test \"\${ac_cv_path_XRDB_PATH+set}\" = set"; then
+echo "configure:4243: checking for $ac_word" >&5
+if eval "test \"`echo '$''{'ac_cv_path_XRDB_PATH'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   case "$XRDB_PATH" in
@@ -4297,8 +4280,8 @@
 # Extract the first word of "xterm", so it can be a program name with args.
 set dummy xterm; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:4301: checking for $ac_word" >&5
-if eval "test \"\${ac_cv_path_FAILSAFE_PATH+set}\" = set"; then
+echo "configure:4284: checking for $ac_word" >&5
+if eval "test \"`echo '$''{'ac_cv_path_FAILSAFE_PATH'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   case "$FAILSAFE_PATH" in
@@ -4342,8 +4325,8 @@
 # Extract the first word of "X", so it can be a program name with args.
 set dummy X; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:4346: checking for $ac_word" >&5
-if eval "test \"\${ac_cv_path_DEF_SERVER+set}\" = set"; then
+echo "configure:4329: checking for $ac_word" >&5
+if eval "test \"`echo '$''{'ac_cv_path_DEF_SERVER'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   case "$DEF_SERVER" in
@@ -4383,8 +4366,8 @@
 # Extract the first word of "sh", so it can be a program name with args.
 set dummy sh; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:4387: checking for $ac_word" >&5
-if eval "test \"\${ac_cv_path_SYSTEM_SHELL+set}\" = set"; then
+echo "configure:4370: checking for $ac_word" >&5
+if eval "test \"`echo '$''{'ac_cv_path_SYSTEM_SHELL'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   case "$SYSTEM_SHELL" in
@@ -4423,8 +4406,8 @@
 # Extract the first word of "xconsole", so it can be a program name with args.
 set dummy xconsole; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:4427: checking for $ac_word" >&5
-if eval "test \"\${ac_cv_path_XCONSOLE+set}\" = set"; then
+echo "configure:4410: checking for $ac_word" >&5
+if eval "test \"`echo '$''{'ac_cv_path_XCONSOLE'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   case "$XCONSOLE" in
@@ -4460,8 +4443,8 @@
 # Extract the first word of "shutdown", so it can be a program name with args.
 set dummy shutdown; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:4464: checking for $ac_word" >&5
-if eval "test \"\${ac_cv_path_SHUTDOWN+set}\" = set"; then
+echo "configure:4447: checking for $ac_word" >&5
+if eval "test \"`echo '$''{'ac_cv_path_SHUTDOWN'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   case "$SHUTDOWN" in
@@ -4590,7 +4573,7 @@
     echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
     exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
   -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
-    echo "$CONFIG_STATUS generated by autoconf version 2.14.1"
+    echo "$CONFIG_STATUS generated by autoconf version 2.13"
     exit 0 ;;
   -help | --help | --hel | --he | --h)
     echo "\$ac_cs_usage"; exit 0 ;;
@@ -4647,8 +4630,6 @@
 s%@AUTOMAKE@%$AUTOMAKE%g
 s%@AUTOHEADER@%$AUTOHEADER%g
 s%@MAKEINFO@%$MAKEINFO%g
-s%@AMTAR@%$AMTAR%g
-s%@AMTARFLAGS@%$AMTARFLAGS%g
 s%@SET_MAKE@%$SET_MAKE%g
 s%@CC@%$CC%g
 s%@CPP@%$CPP%g
@@ -4667,6 +4648,7 @@
 s%@X_LIBS@%$X_LIBS%g
 s%@X_EXTRA_LIBS@%$X_EXTRA_LIBS%g
 s%@XDM_EXTRA_LIBS@%$XDM_EXTRA_LIBS%g
+s%@LIBXINERAMA@%$LIBXINERAMA%g
 s%@XLIBS@%$XLIBS%g
 s%@XCFLAGS@%$XCFLAGS%g
 s%@XLFLAGS@%$XLFLAGS%g
@@ -4925,5 +4907,5 @@
 EOF
 chmod +x $CONFIG_STATUS
 rm -fr confdefs* $ac_clean_files
-test "$no_create" = yes || $SHELL $CONFIG_STATUS || exit 1
+test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
 
diff -Naur wdm-1.20.deb/configure.in wdm-1.20/configure.in
--- wdm-1.20.deb/configure.in	Mon Apr  8 21:49:20 2002
+++ wdm-1.20/configure.in	Mon Apr  8 22:21:01 2002
@@ -189,6 +189,13 @@
 
 AC_SUBST(XDM_EXTRA_LIBS)
 
+AC_CHECK_LIB(Xinerama, XineramaIsActive,
+    [LIBXINERAMA=-lXinerama
+     AC_DEFINE(HAVE_XINERAMA)],
+    ,
+    [$XLFLAGS $XLIBS])
+AC_SUBST(LIBXINERAMA)
+
 dnl ==============================================
 dnl	    Graphic Format Libraries
 dnl	NOTE: This should be the same as when
diff -Naur wdm-1.20.deb/doc/Makefile.in wdm-1.20/doc/Makefile.in
--- wdm-1.20.deb/doc/Makefile.in	Mon Apr  8 21:49:20 2002
+++ wdm-1.20/doc/Makefile.in	Mon Apr  8 22:19:04 2002
@@ -1,4 +1,4 @@
-# Makefile.in generated automatically by automake 1.4 from Makefile.am
+# Makefile.in generated automatically by automake 1.4-p4 from Makefile.am
 
 # Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
 # This Makefile.in is free software; the Free Software Foundation
@@ -60,8 +60,6 @@
 PRE_UNINSTALL = :
 POST_UNINSTALL = :
 AFTERSTEP_PATH = @AFTERSTEP_PATH@
-AMTAR = @AMTAR@
-AMTARFLAGS = @AMTARFLAGS@
 BLACKBOX_PATH = @BLACKBOX_PATH@
 CC = @CC@
 DEF_SERVER = @DEF_SERVER@
@@ -75,6 +73,7 @@
 LIBSOCKET = @LIBSOCKET@
 LIBUCB = @LIBUCB@
 LIBUTIL = @LIBUTIL@
+LIBXINERAMA = @LIBXINERAMA@
 LIB_LIBS = @LIB_LIBS@
 LOGDIR = @LOGDIR@
 MAKEINFO = @MAKEINFO@
diff -Naur wdm-1.20.deb/src/Login.c wdm-1.20/src/Login.c
--- wdm-1.20.deb/src/Login.c	Mon Apr  8 21:49:20 2002
+++ wdm-1.20/src/Login.c	Mon Apr  8 21:50:05 2002
@@ -24,6 +24,9 @@
 #include <X11/xpm.h>
 #include <X11/keysym.h>
 #include <X11/cursorfont.h>
+#ifdef HAVE_XINERAMA
+#include <X11/extensions/Xinerama.h>
+#endif
 #ifdef HAVE_X11_WINGS_H
 #include <X11/WINGs.h>
 #else
@@ -1198,6 +1201,10 @@
 int main(int argc, char **argv)
 {
     WMScreen   *scr;
+    int xine_count; int c;
+#ifdef HAVE_XINERAMA
+    XineramaScreenInfo *xine;
+#endif
 
     ProgName = argv[0];
 
@@ -1213,8 +1220,28 @@
     }
 
     screen_number = DefaultScreen(dpy);
-    screen_width = DisplayWidth(dpy,screen_number);
-    screen_heigth = DisplayHeight(dpy,screen_number);
+#ifdef HAVE_XINERAMA
+    if (XineramaIsActive(dpy)) {
+	xine = XineramaQueryScreens(dpy, &xine_count);
+		
+	if (xine != NULL) {
+		for (c = 0;c < xine_count;c++) {
+			if (xine[c].screen_number == 0) {
+    				screen_width = xine[c].width;
+				screen_heigth = xine[c].height;
+			}
+		}
+	} else {
+		screen_width = DisplayWidth(dpy, screen_number);
+		screen_heigth = DisplayHeight(dpy, screen_number);
+	}
+    } else {
+#endif
+	screen_width = DisplayWidth(dpy,screen_number);
+	screen_heigth = DisplayHeight(dpy,screen_number);
+#ifdef HAVE_XINERAMA
+    }
+#endif
     panel_X = (screen_width  - panel_width)/2;
     panel_Y = (screen_heigth - panel_heigth)/2;
 
diff -Naur wdm-1.20.deb/src/Makefile.am wdm-1.20/src/Makefile.am
--- wdm-1.20.deb/src/Makefile.am	Mon Apr  8 21:49:20 2002
+++ wdm-1.20/src/Makefile.am	Mon Apr  8 22:03:23 2002
@@ -26,7 +26,7 @@
 
 wdmLogin_LDADD =  $(XLFLAGS) \
 	$(GFXLIBS) \
-	$(XLIBS)
+	$(XLIBS) $(LIBXINERAMA)
 
 wdmLogin_CFLAGS = -Wall $(X_CFLAGS) $(GFXFLAGS) $(DFLAGS)
 
diff -Naur wdm-1.20.deb/src/Makefile.in wdm-1.20/src/Makefile.in
--- wdm-1.20.deb/src/Makefile.in	Mon Apr  8 21:49:20 2002
+++ wdm-1.20/src/Makefile.in	Mon Apr  8 22:19:05 2002
@@ -1,4 +1,4 @@
-# Makefile.in generated automatically by automake 1.4 from Makefile.am
+# Makefile.in generated automatically by automake 1.4-p4 from Makefile.am
 
 # Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
 # This Makefile.in is free software; the Free Software Foundation
@@ -65,8 +65,6 @@
 PRE_UNINSTALL = :
 POST_UNINSTALL = :
 AFTERSTEP_PATH = @AFTERSTEP_PATH@
-AMTAR = @AMTAR@
-AMTARFLAGS = @AMTARFLAGS@
 BLACKBOX_PATH = @BLACKBOX_PATH@
 CC = @CC@
 DEF_SERVER = @DEF_SERVER@
@@ -80,6 +78,7 @@
 LIBSOCKET = @LIBSOCKET@
 LIBUCB = @LIBUCB@
 LIBUTIL = @LIBUTIL@
+LIBXINERAMA = @LIBXINERAMA@
 LIB_LIBS = @LIB_LIBS@
 LOGDIR = @LOGDIR@
 MAKEINFO = @MAKEINFO@
@@ -128,7 +127,7 @@
 ###wdmLogin###
 wdmLogin_SOURCES = Login.c
 
-wdmLogin_LDADD = $(XLFLAGS) 	$(GFXLIBS) 	$(XLIBS)
+wdmLogin_LDADD = $(XLFLAGS) 	$(GFXLIBS) 	$(XLIBS) $(LIBXINERAMA)
 
 
 wdmLogin_CFLAGS = -Wall $(X_CFLAGS) $(GFXFLAGS) $(DFLAGS)
diff -Naur wdm-1.20.deb/src/pixmaps/Makefile.in wdm-1.20/src/pixmaps/Makefile.in
--- wdm-1.20.deb/src/pixmaps/Makefile.in	Mon Apr  8 21:49:20 2002
+++ wdm-1.20/src/pixmaps/Makefile.in	Mon Apr  8 22:19:06 2002
@@ -1,4 +1,4 @@
-# Makefile.in generated automatically by automake 1.4 from Makefile.am
+# Makefile.in generated automatically by automake 1.4-p4 from Makefile.am
 
 # Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
 # This Makefile.in is free software; the Free Software Foundation
@@ -60,8 +60,6 @@
 PRE_UNINSTALL = :
 POST_UNINSTALL = :
 AFTERSTEP_PATH = @AFTERSTEP_PATH@
-AMTAR = @AMTAR@
-AMTARFLAGS = @AMTARFLAGS@
 BLACKBOX_PATH = @BLACKBOX_PATH@
 CC = @CC@
 DEF_SERVER = @DEF_SERVER@
@@ -75,6 +73,7 @@
 LIBSOCKET = @LIBSOCKET@
 LIBUCB = @LIBUCB@
 LIBUTIL = @LIBUTIL@
+LIBXINERAMA = @LIBXINERAMA@
 LIB_LIBS = @LIB_LIBS@
 LOGDIR = @LOGDIR@
 MAKEINFO = @MAKEINFO@
-----8<-----8<-----8<-----8<-----8<-----8<-----8<-----8<-----8<-----8<-----

Thanks!

Regards,
-- 
wca



Information forwarded to debian-bugs-dist@lists.debian.org, Noah Meyerhans <frodo@morgul.net>, wdm@packages.qa.debian.org:
Bug#142930; Package wdm. Full text and rfc822 format available.

Acknowledgement sent to "Noah L. Meyerhans" <frodo@morgul.net>:
Extra info received and forwarded to list. Copy sent to Noah Meyerhans <frodo@morgul.net>, wdm@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 142930@bugs.debian.org (full text, mbox):

From: "Noah L. Meyerhans" <frodo@morgul.net>
To: Will Andrews <will@csociety.org>, 142930@bugs.debian.org
Subject: Re: Bug#142930: Feature Request w/ patch: Xinerama support for WDM Debian package
Date: Wed, 17 Apr 2002 00:18:47 -0400
On Sun, Apr 14, 2002 at 08:27:48PM -0500, Will Andrews wrote:
> Since the upstream has not released a new version of WDM in two
> years and has not replied to mail in recent time, I believe this
> patch should simply be applied against the package.

The upstream maintainer has actually just miraculously re-appeared, and
wdm will soon be returned to active development.  This was after some
prodding but he definitely seems to want the project to continue.  He
and I will likely continue wdm development together.

In any case, I'll apply the patch you've sent me and will commence
testing of it.  I can't guaruntee that it'll make it in to woody, but
we'll see.

noah

-- 
 _______________________________________________________
| Web: http://web.morgul.net/~frodo/
| PGP Public Key: http://web.morgul.net/~frodo/mail.html 



Information forwarded to debian-bugs-dist@lists.debian.org, Noah Meyerhans <frodo@morgul.net>, wdm@packages.qa.debian.org:
Bug#142930; Package wdm. Full text and rfc822 format available.

Acknowledgement sent to Will Andrews <will@csociety.org>:
Extra info received and forwarded to list. Copy sent to Noah Meyerhans <frodo@morgul.net>, wdm@packages.qa.debian.org. Full text and rfc822 format available.

Message #15 received at 142930@bugs.debian.org (full text, mbox):

From: Will Andrews <will@csociety.org>
To: "Noah L. Meyerhans" <frodo@morgul.net>
Cc: Will Andrews <will@csociety.org>, 142930@bugs.debian.org
Subject: Re: Bug#142930: Feature Request w/ patch: Xinerama support for WDM Debian package
Date: Tue, 16 Apr 2002 23:25:11 -0500
On Wed, Apr 17, 2002 at 12:18:47AM -0400, Noah L. Meyerhans wrote:
> The upstream maintainer has actually just miraculously re-appeared, and
> wdm will soon be returned to active development.  This was after some
> prodding but he definitely seems to want the project to continue.  He
> and I will likely continue wdm development together.

Great!  I look forward to feeding a couple patches back.

> In any case, I'll apply the patch you've sent me and will commence
> testing of it.  I can't guaruntee that it'll make it in to woody, but
> we'll see.

Cool.  Works pretty well for me.  BTW, I only care if it gets in
sid.. I don't use woody.

Regards,
-- 
wca



Information forwarded to debian-bugs-dist@lists.debian.org, Noah Meyerhans <frodo@morgul.net>, wdm@packages.qa.debian.org:
Bug#142930; Package wdm. Full text and rfc822 format available.

Acknowledgement sent to Greg Olszewski <noop@debian.org>:
Extra info received and forwarded to list. Copy sent to Noah Meyerhans <frodo@morgul.net>, wdm@packages.qa.debian.org. Full text and rfc822 format available.

Message #20 received at 142930@bugs.debian.org (full text, mbox):

From: Greg Olszewski <noop@debian.org>
To: frodo@morgul.net
Cc: 142930@bugs.debian.org
Subject: wdm xinerama awareness
Date: Tue, 30 Jul 2002 17:54:33 -0700
What's up on applying the patch from this bug?

You said you'd do it in april. I just noticed
it because I've been maintaining a similar patch
locally, and would like to see this. I was going 
file a bug, but I noticed one already.

If you don't want to deal with it can I do an NMU?


Thanks, 

Greg
-- 
segment doesn't find



Information forwarded to debian-bugs-dist@lists.debian.org, Noah Meyerhans <frodo@morgul.net>, wdm@packages.qa.debian.org:
Bug#142930; Package wdm. Full text and rfc822 format available.

Acknowledgement sent to "Noah L. Meyerhans" <frodo@morgul.net>:
Extra info received and forwarded to list. Copy sent to Noah Meyerhans <frodo@morgul.net>, wdm@packages.qa.debian.org. Full text and rfc822 format available.

Message #25 received at 142930@bugs.debian.org (full text, mbox):

From: "Noah L. Meyerhans" <frodo@morgul.net>
To: Greg Olszewski <noop@debian.org>
Cc: 142930@bugs.debian.org
Subject: Re: wdm xinerama awareness
Date: Tue, 30 Jul 2002 20:58:36 -0400
On Tue, Jul 30, 2002 at 05:54:33PM -0700, Greg Olszewski wrote:
> What's up on applying the patch from this bug?
> 

That's really funny that you chose today to bug me about this.  I'd have
uploaded it two hours ago except for an issue with libpng version
conflicts.

Your patch has been applied to my wdm source tree, and as soon as the
library issue is cleared up it'll be uploaded.

noah

-- 
 _______________________________________________________
| Web: http://web.morgul.net/~frodo/
| PGP Public Key: http://web.morgul.net/~frodo/mail.html 



Reply sent to Noah Meyerhans <noahm@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Will Andrews <will@csociety.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #30 received at 142930-close@bugs.debian.org (full text, mbox):

From: Noah Meyerhans <noahm@debian.org>
To: 142930-close@bugs.debian.org
Subject: Bug#142930: fixed in wdm 1.20-16
Date: Wed, 04 Sep 2002 18:17:20 -0400
We believe that the bug you reported is fixed in the latest version of
wdm, which is due to be installed in the Debian FTP archive:

wdm_1.20-16.diff.gz
  to pool/main/w/wdm/wdm_1.20-16.diff.gz
wdm_1.20-16.dsc
  to pool/main/w/wdm/wdm_1.20-16.dsc
wdm_1.20-16_i386.deb
  to pool/main/w/wdm/wdm_1.20-16_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 142930@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Noah Meyerhans <noahm@debian.org> (supplier of updated wdm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed,  4 Sep 2002 15:59:33 -0400
Source: wdm
Binary: wdm
Architecture: source i386
Version: 1.20-16
Distribution: unstable
Urgency: low
Maintainer: Noah Meyerhans <noahm@lcs.mit.edu>
Changed-By: Noah Meyerhans <noahm@debian.org>
Description: 
 wdm        - WINGs Display Manager - an xdm replacement with a WindowMaker loo
Closes: 142541 142930 145980
Changes: 
 wdm (1.20-16) unstable; urgency=low
 .
   * added -nolisten tcp to X server flags.
   * set DisplayManager.requestPort to 0 in /etc/X11/wdm/wdm-config
     to disable XDMCP by default.
   * Updated the manual page to include much of the content of the XDM
     man page.  This eliminates the need to refer to the XDM man page,
     which is usually not installed on systems that run wdm.
   * (closes: #145980)  The previous 3 changelog entries close this bug.
   * Added polish debconf translation (Closes: #142541)
   * Added a Xinerama patch from Will Andrews <will@csociety.org>
     (Closes: #142930)
   * updated the Maintainer field to point to the right email address.
   * Note that we still depend on libpng2 until libwraster2 updates to
     libpng3.
Files: 
 37da1c071388bf00499cea2cff499706 716 x11 optional wdm_1.20-16.dsc
 59349e2b26fb10aad88c6c49f43e7af4 80463 x11 optional wdm_1.20-16.diff.gz
 4539472550349b40c84321d02274be9a 357000 x11 optional wdm_1.20-16_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.7 (GNU/Linux)

iD8DBQE9doQoYrVLjBFATsMRAvOcAKCK8irSPK30R9ITL52rt1AVAJ32ggCfWyaS
i9Ug6rubax9baJuXjWVz2aM=
=mXJa
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:14:28 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.